### Method

# Fwupd Release set_protocol

since: 1.2.2

#### Declaration [src]

    void
    fwupd_release_set_protocol (
      FwupdRelease* self,
      const gchar* protocol
    )

#### Description [src]

Sets the update protocol.

Available since: 1.2.2

#### Parameters

`protocol`

  Type: `const gchar*`

  The update protocol, e.g. `org.usb.dfu`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.